# 导师指南

目前，DragonOS项目已经初具体量，没有人能回答所有的问题。贡献者们依靠我们的文档、PR、issue、论坛的帖子来了解项目，与已有的开发者进行互动，从而快速上手。贡献者希望讨论技术细节、前景，或者是想知道如何为DragonOS贡献更大的价值。

**导师这一角色，能够帮助贡献者们在DragonOS社区中提高生产力。**

在DragonOS社区中，您有多种方式来成为导师。最简单的方式就是，倾听他人的问题，然后与他讨论，促进他解决这些问题。

但是，由于我们考虑到每个人的时间是有限的（对于讨论双方而言都是），您很难抽出稳定的时间来指导某人，因此，DragonOS社区提供了几种类型的[指导计划]，在这些指导计划下，我们为您设置了沟通的框架，规定了您的职责以及对您的期望。

您扮演着2个角色，分别是“教练”以及“顾问”。您不一定知道问题的所有答案，但是您需要告知学员如何去找到这些答案（比如找到解决问题所需的资源、解决问题的潜在方式、要联系的人员等等）

请查看我们的[指导计划]，了解更多的详细内容。

**如果您想好了，欢迎填写[此表格](TODO)来报名成为导师**


## 您的责任，以及社区对您的期望

以下内容适用于所有的指导计划：

- 您的目标是**成为一名向导，而不是老师**。如果您有时间教某人 Rust语言 的基础知识，我们欢迎您这样做。但是这不是必须的！
- **梳理问题：** [社区成员资格]文档里面的许多职级都要求您帮助贡献者梳理问题。举几个例子：
  - 为新贡献者挑选不跨越多个 SIG 的问题，以便他们快速入门
  - 告诉他们，哪些问题/帖子/PR需要特别关注（对于解决他们的问题有帮助）
- 向学员介绍学习资源，介绍可以学员的问题提供帮助的人员。您不需要了解学员可能感兴趣的所有事情，但认识可以提供帮助和帮助介绍的人很重要。
- 帮助贡献者提高生产力。
- **耐心与同理心。** 人们在重复中学习，作为导师，我们不应期望学员能够立刻达到我们所有的期望。通过放下期望和偏见，再加上一点同情心，我们就能获得更多的耐心。
- 提供建设性的反馈，传递您在开源工作过程中学到的东西。
  - 例如，如果您的学员正在做一些很酷的事情，鼓励他们在博客里/bbs上面写下它！
- **及时回复：** 我们期望您能在1天内回复您的学员的消息。长时间的不回复，或者是“朕已阅”的情况，会让人感到沮丧。哪怕您很忙，我们也期望您能回复学员一句“我现在很忙，xx时间之前一定回复你”。
- 一起玩得开心，一起学习！


## 成为导师的好处

- **为DragonOS社区创造价值：** 帮助社区贡献者快速成长，提升大家的参与感和获得感。
- **为您的SIG/WG/子项目带来新的成员：** 培养您所在的社区团体的优质贡献者，让您所在的社区团体更加活跃。
- **为您的个人发展：** 成为项目内外的技术领导者，培养您与人沟通的技能。
- **提升对项目的认识：** 在实践中了解DragonOS社区在流程、文档、技术等方面的漏洞/问题点。
- **社区认可！** DragonOS社区将为优秀的导师颁发证书。


## 很重要的事情

- 您必须了解DragonOS社区的运作方式，并且在技术上有宏观的认识。
- 您必须花相当的时间与您的学院进行交流沟通。
- 只有新的贡献者才需要被指导。

## 各个指导计划的导师职责

### [教育学习课程]

你需要：

- 每周至少在DragonOS社区论坛以及社区的GitHub仓库上面呆1~2小时，回答问题
- 每两周组织一次10-15分钟的小组会议，以跟进你的学员的进度
- 帮助建立小组间的团结：最简单的方式就是引导学员与合适的人进行沟通，或者引导学员在bbs上发布自己的学习笔记/源码分析。

**请告知学员：**学员要对自己的成长和能力提升而负责，因为这是一个半结构化、自定进度的项目；导师在此的作用是帮助他们指引方向。导师与学员分享方法论、资源、技巧和经验，帮助他们进步。

### [基于项目的指导]

- 作为导师，每周可能需要花费2~3小时的时间。这具体取决于学员的项目范围
- 在项目开始之前：
  - 进行项目申报，编写任务内容、发布任务。
  - 为潜在的参与者提供建议（基于他们的能力来推荐一些前置的小任务）
  - 通过bbs与感兴趣的候选人交谈。与他们分享项目详情、目标和一些实施想法。
- 在项目期间：
  - 在bbs和GitHub issue上，与学员进行讨论（要求学员把方案放到公开的位置，您通过公开的方式对方案发表您的评审意见）
  - 与你的学员沟通，制定开发计划。确保你确立了实际的工作目标和时间线期望。并把开发计划发布到该任务在[mentorship仓库]下的issue里面。
  - 提供指导，如指向有用的文档、代码审查等。
  - 留出时间进行每周的线上文字交流或电话会议，同步跟踪进展，这取决于你的喜好。
  - 跟踪徒弟的进度，并让他们了解自己的状况。确保你尽早提供反馈。**请在24小时内回复您的学员的问题~**
- 在项目结束后：
  - 在适当的沟通渠道中分享项目的结果。
  - 将项目开展过程中的您遇到的问题/想法，通过邮件告知pmc成员：[pmc@dragonos.org]
  - 向你的学员推荐在当前项目里面，下一步应该做什么。或您认为他们在DragonOS社区中可能能做什么。
  - 在[mentorship仓库]中标注该项目已经结题。


[指导计划]: /mentorship/README.md
[社区成员资格]: /governance/community-membership.md
[教育学习课程]: /mentorship/programs/educational-learning-courses.md
[基于项目的指导]: /mentorship/programs/project-based-mentorship.md
[mentorship仓库]: TODO
[pmc@dragonos.org]: mailto:pmc@dragonos.org